apiVersion: v1
kind: Secret
metadata:
  name: {{ .Values.name }}
  labels:
    app: {{ .Values.name }}
    chart: "{{ .Chart.Name }}-{{ .Chart.Version }}"
    release: "{{ .Release.Name }}"
type: Opaque
data:
  {{ if .Values.postgresPassword }}
  postgres-password:  {{ .Values.postgresPassword | b64enc | quote }}
  {{ else }}
  postgres-password: {{ randAlphaNum 10 | b64enc | quote }}
  {{ end }}
  {{- if .Values.metrics.customMetrics }}
  custom-metrics.yaml: {{ toYaml .Values.metrics.customMetrics | b64enc | quote }}
  {{- end }}
